<template>
  <div class='main'>
    <vue-particles
      color='#3498db'
      :particleOpacity='0.7'
      :particlesNumber='80'
      shapeType='circle'
      :particleSize='4'
      linesColor='#3498db'
      :linesWidth='1'
      :lineLinked='true'
      :lineOpacity='0.4'
      :linesDistance='150'
      :moveSpeed='4'
      :hoverEffect='true'
      hoverMode='grab'
      :clickEffect='true'
      clickMode='push'
    >
    </vue-particles>
    <el-row class='top-content'></el-row>
    <el-row class='middle-content'>
      <el-col :span=6 class='side-content'></el-col>
      <!--登录表单-->
      <el-col :span=11 class='form-wrapper'>
        <el-row class='row-wrapper'>
          <!-- 左侧网站介绍 -->
          <el-col :span=13 class='form-left'>
            <!-- 上边logo -->
            <el-row style='height:45%'>
              <div class='logo-wrapper'></div>
            </el-row>

            <!-- 标题 -->
            <el-row>
              <div class='title-wrapper'>
                <h2>选课帮Pro</h2>
              </div>
            </el-row>

            <!-- 下边几句废话 -->
            <el-row>
              <div class='description'>
                有了选课帮，<br/>
                再也不用担心选课的难题！<br/>
                <!-- Many of the protesters were also part of the three-week “Freedom Convoy”demonstration that gridlocked Ottawa's downtown earlier this year with big rigs -->
              </div>
            </el-row>
          </el-col>
          <!-- 右侧登录注册表单 -->
          <el-col :span=11 class='form-right'>

            <!-- 登录或注册选项标题 -->
            <el-row style='height: 15% padding:5%'>
              <el-col :span=12>
                <div class='form-switch' :class='{formActive:formActive}' @click='formActive=true'>
                  登录
                </div>
              </el-col>
              <el-col :span=12>
                <div class='form-switch' :class='{formActive:!formActive}' @click='formActive=false'>
                  注册
                </div>
              </el-col>
            </el-row>

            <!-- 两个表单 -->
            <el-row style='height: 75%'>
              <LoginForm v-if='formActive' ></LoginForm>
              <RegisterForm v-else @fromRegister='toLogin()'></RegisterForm>
            </el-row>

          </el-col>
        </el-row>
      </el-col>

      <el-col :span=6 class='side-content'></el-col>
    </el-row>
    
    <OurFooter/>
  </div>
</template>

<script>

import LoginForm from '@/components/login/LoginForm.vue';
import RegisterForm from '@/components/login/RegisterForm.vue';
import OurFooter from '@/components/common/OurFooter.vue';

export default {
  data() {
    return {
      formActive: true,
    };
  },
  methods: {
    // register-form跳转页面
    toLogin(params){
      // this.formActive = params;
      this.formActive = true;
      // console.log('this.formActive: ',this.formActive);
    },

  },
  mounted() {
    console.log('raft-软工小组-xuanke-pro');
    console.log('          _____                    _____                    _____                _____          \n\
         /\\    \\                  /\\    \\                  /\\    \\              /\\    \\         \n\
        /::\\    \\                /::\\    \\                /::\\    \\            /::\\    \\        \n\
       /::::\\    \\              /::::\\    \\              /::::\\    \\           \\:::\\    \\       \n\
      /::::::\\    \\            /::::::\\    \\            /::::::\\    \\           \\:::\\    \\      \n\
     /:::/\\:::\\    \\          /:::/\\:::\\    \\          /:::/\\:::\\    \\           \\:::\\    \\     \n\
    /:::/__\\:::\\    \\        /:::/__\\:::\\    \\        /:::/__\\:::\\    \\           \\:::\\    \\    \n\
   /::::\\   \\:::\\    \\      /::::\\   \\:::\\    \\      /::::\\   \\:::\\    \\          /::::\\    \\   \n\
  /::::::\\   \\:::\\    \\    /::::::\\   \\:::\\    \\    /::::::\\   \\:::\\    \\        /::::::\\    \\  \n\
 /:::/\\:::\\   \\:::\\____\\  /:::/\\:::\\   \\:::\\    \\  /:::/\\:::\\   \\:::\\    \\      /:::/\\:::\\    \\ \n\
/:::/  \\:::\\   \\:::|    |/:::/  \\:::\\   \\:::\\____\\/:::/  \\:::\\   \\:::\\____\\    /:::/  \\:::\\____\\\n\
\\::/   |::::\\  /:::|____|\\::/    \\:::\\  /:::/    /\\::/    \\:::\\   \\::/    /   /:::/    \\::/    /\n\
 \\/____|:::::\\/:::/    /  \\/____/ \\:::\\/:::/    /  \\/____/ \\:::\\   \\/____/   /:::/    / \\/____/ \n\
       |:::::::::/    /            \\::::::/    /            \\:::\\    \\      /:::/    /          \n\
       |::|\\::::/    /              \\::::/    /              \\:::\\____\\    /:::/    /           \n\
       |::| \\::/____/               /:::/    /                \\::/    /    \\::/    /            \n\
       |::|  ~|                    /:::/    /                  \\/____/      \\/____/             \n\
       |::|   |                   /:::/    /                                                    \n\
       \\::|   |                  /:::/    /                                                     \n\
        \\:|   |                  \\::/    /                                                      \n\
         \\|___|                   \\/____/                                                  ');
  },
  components: {
    LoginForm,
    RegisterForm,
    OurFooter,
  }
};

</script>

<style scoped>

.main {
  position:absolute;
  height: 100%;
  width: 100%;
  /* background-image: linear-gradient(to right, #30cfd0, #330867); */
}

.top-content {
  height: 15%;
}

.middle-content {
  height: 55%;
}

.side-content {
  height: 100%;
}

.form-wrapper {
  height: 100%;
}

.row-wrapper {
  height: 100%;
}

.form-left {
  height: 100%;
  background-image: url('../assets/images/geometry-bg.jpg');
  background-size: cover;
  padding: 10px;
  border-radius: 15px 0px 0px 15px;
}

.form-right {
  height: 100%;
  background-color: rgba(241, 242, 246, 0.6);
  border-radius: 0px 15px 15px 0px;
  padding: 3%;
}

.logo-wrapper {
  width: 45%;
  display: block;
	margin:0 auto;
  margin-top: 5%;
  background-image: url('../assets/images/tongji.png');
  background-size: cover;
}

.logo-wrapper::before{
  display: block;
  content: '';
  width: 100%;
  padding-top: 100%; 
}

.title-wrapper {
  margin-top: 0;
  font-size: 22px;
  color: white;
}

.description {
  width: 80%;
  display: block;
  margin:0 auto;
  margin-top: 5%;
  font-size: 15px;
  font-weight: 400;
  font-family: Helvetica-Narrow;
  color: #ecf0f1;
}

#particles-js{
  width: 100%;
  height: 96%;
  position: absolute;
}

.form-switch{
  text-align:center;
  font-size: 20px;
  margin:0 auto;
  margin-bottom: 5%;
  color:#999;
  width: 70%;
  font-weight: 400;
  border-bottom: 2px solid #999;
  
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.formActive{
  font-size: 22px;
  color: black;
  font-weight: 600;
  border-bottom: 3px solid black;
}

</style>